fs=1/Ts;
ind0=2e5;
N=2^17;
f0=200;

MasterPh=unwrap(MasterPhase(ind0:end));
SlavePh=unwrap(SlavePhase(ind0:end));

MasterPhHP=HP_filter_wavelet(fs,f0,MasterPh);
SlavePhHP=HP_filter_wavelet(fs,f0,SlavePh);

%%
[Pmaster,F] = pwelch(MasterPhHP,hanning(N),round(N*2/3),N,fs);
[Pslave,~] = pwelch(SlavePhHP,hanning(N),round(N*2/3),N,fs);

semilogx(F,10*log10(Pmaster),F,10*log10(Pslave))


legend('Master','Slave')
xlabel('Hz')
ylabel('dB/Hz')

