fs=1/Ts/10e3;
ind0=100;
N=1024;

MasterPh=unwrap(rt_MasterPhase(ind0:end));
SlavePh=unwrap(rt_MasterPhase(ind0:end));


%%
[Pmaster,F] = pwelch(MasterPh,hanning(N),round(N*2/3),N,fs);
[Pslave,~] = pwelch(MasterPh,hanning(N),round(N*2/3),N,fs);

semilogx(F,10*log10(Pmaster),'.-',F,10*log10(Pslave),'.-')

xlabel('Hz')
ylabel('dB/Hz')
