%-------------- Parameters file-------------
carrierFrequency=2*pi*10e9;  % 10 GHz

%-------Slave loop--------------
Slave.delay= 2.5689e-6;  %2.5e-6;
Slave.rho_DC=0.8;
Slave.rho_AC=0.5509;
Slave.P0=40e-3; % Watt
Slave.alpha=0.1156; %0.1585
Slave.VpiDC=3.15;  % Volt
Slave.VpiAC=5.11; % Volt
Slave.Vb=1.92;
Slave.R=50; % ohm
Slave.NF=1.5;  % noise figure
Slave.eta=0.68;
Slave.g11=10^(-7/10/2); %sqrt(0.5); %10^(-7/10/2); %sqrt(0.5); %
Slave.g21=10^(-13.5/10/2); %0; %
Slave.filtOrder=2;
Slave.filterCutOff=8e6;   %Hz
Slave.flickerF0=1;        % Hz
Slave.flickerKnee=10e6;
Slave.flickerFiltOrder=10;
Slave.flickerSigma=sqrt(20e-12);    % sqrt(1/b)
Slave.ExtraFilterLoss=10^((-2)/10/2)*10^(-5/10/2);
Slave.T=300;




%-------Master loop--------------
Master.delay= Slave.delay*7.7;
Master.rho_DC=0.8;
Master.rho_AC=0.5509;
Master.P0=20e-3; % Watt
Master.alpha=0.2924;  %0.1585; %
Master.VpiDC=3.15;  % Volt
Master.VpiAC=5.15; % Volt
Master.Vb=2;
Master.R=50; % ohm
Master.NF=6;  % noise figure
Master.eta=0.68;
Master.g11=10^(-7.5/10/2); %sqrt(0.5); %10^(-7.5/10/2); %sqrt(0.5); 
Master.g21=10^(-13.8/10/2);%0; %
Master.filtOrder=1;
Master.filterCutOff=8e6;      % Hz
Master.flickerF0=1;           % Hz
Master.flickerKnee=10e6;      % Hz
Master.flickerFiltOrder=10;
Master.flickerSigma=sqrt(40e-12); % sqrt(1/b)
Master.ExtraFilterLoss=10^((-2)/10/2)*10^(-5/10/2);
Master.T=300;


%% ---- Discrete time parameters----------
Ts=5.1379e-008;
Master.delayN=round(Master.delay/Ts); %385;
Slave.delayN=round(Slave.delay/Ts); %385;
%%
ParamsBus;
